namespace DataPointsDemo.DataLayer.Migrations
{
    using System.Data.Entity.Migrations;
    
    public partial class InitialCreate : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "Aliases",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Name = c.String(nullable: false),
                        UserName = c.String(maxLength: 30),
                        Email = c.String(),
                        Bio = c.String(),
                         CreateDate = c.DateTime(nullable: false),
                        Avatar = c.Binary(),
                        RowVersion = c.Binary(nullable: false, fixedLength: true, timestamp: true),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "Tweets",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        CreateDate = c.DateTime(nullable: false),
                        Content = c.String(),
                        AliasId = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.Id)
                .ForeignKey("Aliases", t => t.AliasId, cascadeDelete: true)
                .Index(t => t.AliasId);
            
        }
        
        public override void Down()
        {
            DropIndex("Tweets", new[] { "AliasId" });
            DropForeignKey("Tweets", "AliasId", "Aliases");
            DropTable("Tweets");
            DropTable("Aliases");
        }
    }
}
