﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace DataPointsDemo.DomainClasses
{

 public class Tweeter 
  {
    public Tweeter()
    {
      Tweets = new List<Tweet>();
    }
    public int Id { get; set; }
    [Required]
    public string Name { get; set; }
 
    [MaxLength(10)]
    public string Experience { get; set; }

    [MaxLength(30), MinLength(5)]
    public string UserName { get; set; }

    [RegularExpression(@"(\w[-._\w]*\w@\w[-._\w]*\w\.\w{2,3})")]
    public string Email { get; set; }


    public string Bio { get; set; }
    public DateTime CreateDate { get; set; }
    public byte[] Avatar { get; set; }
    public ICollection<Tweet> Tweets { get; set; }

    [Timestamp]
    public byte[] RowVersion { get; set; }

    public string AliasPlusName
    { get { return Name + "(" + UserName + ")"; } }

  }

  public class Tweet
  {
    public int Id { get; set; }
    public DateTime CreateDate { get; set; }
    public string Content { get; set; }
    [Range(1, 5)]
    public int Rating { get; set; }
    public Tweeter Alias { get; set; }
    public int AliasId { get; set; }
  }

}


